/*
 * slb/freetype.h - Utility functions for the application,
 * when using the shared library.
 *
 * Copyright (C) 2019 Thorsten Otto
 */
#ifndef __SLB_FREETYPE_H__
#define __SLB_FREETYPE_H__ 1

#ifndef FREETYPE_SLB
#define FREETYPE_SLB 1
#endif

#include <stddef.h>
#include <ft2build.h>

#include <stdio.h>

#ifndef __CDECL
#define __CDECL
#endif

#include <mint/slb.h>

#ifdef __cplusplus
extern "C" {
#endif

#define FREETYPE_SHAREDLIB_NAME "freetype.slb"

long slb_freetype_open(const char *slbpath);
void slb_freetype_close(void);
SLB *slb_freetype_get(void);

/* internal helper function */
long __CDECL freetype_slb_control(long fn, void *arg);

/* Get the full path of the shared library */
#define freetype_slb_libpath() ((const char *)freetype_slb_control(4, 0))

#ifdef __cplusplus
}
#endif

#endif /* __SLB_FREETYPE_H__ */
